import java.util.*;
public class MachineIterator {
	private Iterator iterator;
	public MachineIterator(Iterator iterator) {
		this.iterator = iterator;
	}
	public boolean hasNext() {
		return iterator.hasNext();
	}
	public MachineComponent next() {
		return (MachineComponent)iterator.next();
	}
}
